petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatSetDM

Sets the DM defining the data layout of the matrix

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode MatSetDM(Mat A, DM dm)

Not collective

### Input Parameters

| A | - The Mat
| dm | - The DM

### See Also

MatGetDM(), DMCreateMatrix(), DMSetMatType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex35.c.html